From 6829b2c1885b3a0ff758751db2c936ef384d00f9 Mon Sep 17 00:00:00 2001
From: Sebastian Pipping <sebastian@pipping.org>
Date: Wed, 7 Apr 2021 00:46:38 +0200
Subject: [PATCH] setup.py: Drop generic upper version boundaries

---
 setup.py | 32 ++++++++++++++++----------------
 1 file changed, 16 insertions(+), 16 deletions(-)

diff --git a/setup.py b/setup.py
index aaf33f7..74be464 100644
--- a/setup.py
+++ b/setup.py
@@ -25,33 +25,33 @@ def find_version(*file_paths):
 
 
 install_requires = [
-    'docopt >= 0.6.1, < 1',
-    'PyYAML >= 3.10, < 6',
-    'requests >= 2.20.0, < 3',
-    'texttable >= 0.9.0, < 2',
-    'websocket-client >= 0.32.0, < 1',
-    'distro >= 1.5.0, < 2',
+    'docopt >= 0.6.1',
+    'PyYAML >= 3.10',
+    'requests >= 2.20.0',
+    'texttable >= 0.9.0',
+    'websocket-client >= 0.32.0',
+    'distro >= 1.5.0',
     'docker[ssh] >= 5',
-    'dockerpty >= 0.4.1, < 1',
-    'jsonschema >= 2.5.1, < 4',
-    'python-dotenv >= 0.13.0, < 1',
+    'dockerpty >= 0.4.1',
+    'jsonschema >= 2.5.1',
+    'python-dotenv >= 0.13.0',
 ]
 
 
 tests_require = [
-    'ddt >= 1.2.2, < 2',
-    'pytest < 6',
+    'ddt >= 1.2.2',
+    'pytest',
 ]
 
 
 if sys.version_info[:2] < (3, 4):
-    tests_require.append('mock >= 1.0.1, < 4')
+    tests_require.append('mock >= 1.0.1')
 
 extras_require = {
-    ':python_version < "3.5"': ['backports.ssl_match_hostname >= 3.5, < 4'],
-    ':python_version < "3.8"': ['cached-property >= 1.2.0, < 2'],
-    ':sys_platform == "win32"': ['colorama >= 0.4, < 1'],
-    'socks': ['PySocks >= 1.5.6, != 1.5.7, < 2'],
+    ':python_version < "3.5"': ['backports.ssl_match_hostname >= 3.5'],
+    ':python_version < "3.8"': ['cached-property >= 1.2.0'],
+    ':sys_platform == "win32"': ['colorama >= 0.4'],
+    'socks': ['PySocks >= 1.5.6, != 1.5.7'],
     'tests': tests_require,
 }
 
-- 
2.31.1

